Loading...
Searching...
No Matches
BALL::SMARTSPredicate Class Reference

`#include <BALL/KERNEL/standardPredicates.h>`

Inheritance diagram for BALL::SMARTSPredicate:

## Public Member Functions

| SMARTSPredicate ()
| SMARTSPredicate (const SMARTSPredicate &pred)
virtual | ~SMARTSPredicate ()
virtual bool | operator() (const Atom &atom) const
Public Member Functions inherited from BALL::ExpressionPredicate
| ExpressionPredicate ()
| ExpressionPredicate (const ExpressionPredicate &predicate)
| ExpressionPredicate (const String &argument)
virtual | ~ExpressionPredicate ()
ExpressionPredicate & | operator= (const ExpressionPredicate &predicate)
virtual void | clear ()
bool | operator== (const ExpressionPredicate &predicate) const
virtual void | setArgument (const String &argument)
const String & | getArgument () const
Public Member Functions inherited from BALL::UnaryPredicate< Atom >
virtual | ~UnaryPredicate ()
virtual bool | operator() (const Atom &) const

## Public Attributes

SmartsMatcher | matcher_
Molecule * | last_molecule_
AromaticityProcessor | arom_proc_
RingPerceptionProcessor | ring_proc_
HashSet< Atom * > | matches_

## Static Public Attributes

static HashMap< Molecule *, TimeStamp > | call_time_map_
static Molecule | dummy_molecule_

## Additional Inherited Members

String | argument_

## Detailed Description

Predicate for using smarts

Definition at line 899 of file standardPredicates.h.

## Constructor & Destructor Documentation

## SMARTSPredicate() [1/2]

BALL::SMARTSPredicate::SMARTSPredicate | ( |  | ) |

## SMARTSPredicate() [2/2]

BALL::SMARTSPredicate::SMARTSPredicate | ( | const SMARTSPredicate & | pred | ) |

## ~SMARTSPredicate()

virtual BALL::SMARTSPredicate::~SMARTSPredicate | ( |  | ) |

virtual

## Member Function Documentation

## operator()()

virtual bool BALL::SMARTSPredicate::operator() | ( | const Atom & | atom | ) | const

virtual

Parameters

  atom | the atom to test

Returns
  true, if the predicate is true, false otherwise

Reimplemented from BALL::ExpressionPredicate.

## Member Data Documentation

## arom_proc_

AromaticityProcessor BALL::SMARTSPredicate::arom_proc_

mutable

Definition at line 923 of file standardPredicates.h.

## call_time_map_

HashMap<Molecule*, TimeStamp> BALL::SMARTSPredicate::call_time_map_

static

Definition at line 926 of file standardPredicates.h.

## dummy_molecule_

Molecule BALL::SMARTSPredicate::dummy_molecule_

static

Definition at line 927 of file standardPredicates.h.

## last_molecule_

Molecule* BALL::SMARTSPredicate::last_molecule_

mutable

Definition at line 922 of file standardPredicates.h.

## matcher_

SmartsMatcher BALL::SMARTSPredicate::matcher_

mutable

Definition at line 921 of file standardPredicates.h.

## matches_

HashSet<Atom*> BALL::SMARTSPredicate::matches_

mutable

Definition at line 928 of file standardPredicates.h.

## ring_proc_

RingPerceptionProcessor BALL::SMARTSPredicate::ring_proc_

mutable

Definition at line 924 of file standardPredicates.h.